Bug 1268310 - man page contains $Date$ instead of actual date
man page contains $Date$ instead of actual date
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.1
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Charalampos Stratakis
Branislav Náter
: EasyFix, Patch
Depends On:
Blocks: 1289025
  Show dependency treegraph
 
Reported: 2015-10-02 09:34 EDT by Martin Frodl
Modified: 2017-03-15 06:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-2.7.5-39.el7
Doc Type: Bug Fix
Doc Text:
Cause: Unexpanded macro at the man page footer Consequence: Since the macro does not expand during build, instead of the actual date, the macro $Date$ is shown Fix: Remove the macro Result: Macro does not appear at the footer of the man page
Story Points: ---
Clone Of:
: 1355805 (view as bug list)
Environment:
Last Closed: 2016-11-03 16:15:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Frodl 2015-10-02 09:34:49 EDT
Description of problem:

On the python(1) man page, the footer contains the placeholder '$Date$' instead of an actual release date:

$ man python | tail -1
                                    $Date$                           PYTHON(1)

Version-Release number of selected component (if applicable):
python-2.7.5-33.el7.x86_64
Comment 1 Martin Frodl 2015-10-02 09:41:25 EDT
Just for reference, in python-2.6.6-64.el6.x86_64 on RHEL 6 the footer looks like this (which is probably the intended format):

$ man python | tail -1
             $Date: 2010-01-31 11:09:16 -0500 (Sun, 31 Jan 2010) $   PYTHON(1)
Comment 3 Charalampos Stratakis 2016-03-17 11:52:55 EDT
It is reported upstream
https://bugs.python.org/issue17167

The issue also exists for Fedora 23, 24 and rawhide for all Python versions.
Comment 7 errata-xmlrpc 2016-11-03 16:15:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2586.html

Note You need to log in before you can comment on or make changes to this bug.